=== TheForceEngine/CMakeLists.txt ===
add_subdirectory(TFE_A11y/)
add_subdirectory(TFE_Archive/)
add_subdirectory(TFE_Asset/)
add_subdirectory(TFE_Audio/)
add_subdirectory(TFE_DarkForces/)
add_subdirectory(TFE_ExternalData/)
add_subdirectory(TFE_FileSystem/)
add_subdirectory(TFE_FrontEndUI/)
add_subdirectory(TFE_Game/)
add_subdirectory(TFE_Input/)
add_subdirectory(TFE_Jedi/)
add_subdirectory(TFE_Memory/)
add_subdirectory(TFE_Outlaws/)
add_subdirectory(TFE_Polygon/)
add_subdirectory(TFE_PostProcess/)
add_subdirectory(TFE_RenderShared/)
add_subdirectory(TFE_RenderBackend/)
add_subdirectory(TFE_Settings/)
add_subdirectory(TFE_System/)
add_subdirectory(TFE_Ui/)
if(ENABLE_EDITOR)
	add_subdirectory(TFE_Editor/)
endif()
add_subdirectory(TFE_ForceScript/)
target_sources(tfe PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/main.cpp")
