=== TheForceEngine/TFE_A11y/CMakeLists.txt ===
file(GLOB SOURCES "*.cpp")
target_sources(tfe PRIVATE ${SOURCES})
