=== TheForceEngine/TFE_Archive/CMakeLists.txt ===
file(GLOB SOURCES "*.cpp")
target_sources(tfe PRIVATE ${SOURCES})
add_subdirectory(zip/)
