=== TheForceEngine/TFE_Asset/CMakeLists.txt ===
file(GLOB SOURCES "*.cpp")
target_sources(tfe PRIVATE ${SOURCES})
