=== TheForceEngine/TFE_DarkForces/CMakeLists.txt ===
file(GLOB_RECURSE SOURCES ${CMAKE_CURRENT_SOURCE_DIR} "*.cpp")
target_sources(tfe PRIVATE ${SOURCES})
