=== debian/changelog ===
theforceengine (1.22.300+ds-0+twolife1) unstable; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 12 Aug 2025 10:05:21 +0200
