=== debian/control ===
Source: theforceengine
Section: contrib/games
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libsdl2-dev,
 libsdl2-image-dev,
 librtaudio-dev,
 librtmidi-dev
Standards-Version: 4.7.2
Homepage: https://theforceengine.github.io/

Package: theforceengine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-open-sans, fonts-noto-mono, darkforces-data | game-data-packager
Description: Game engine for "Star Wars: Dark Forces"
 The Force Engine (TFE) is essentially a source port designed
 to run the original game natively on modern systems
 with quality of life improvements and optional enhancements.
 .
 A purchased copy of the original game is required
 and is not provided by The Force Engine.
