=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_FORCE_SCRIPT=ON -DENABLE_EDITOR=ON

override_dh_auto_install:
	dh_auto_install
	mv debian/theforceengine/usr/bin debian/theforceengine/usr/games
