=== debian/watch ===
version=4
opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+ds,\
dversionmangle=s/\+ds\d*//,\
filenamemangle=s/[vV]?(\d\S+)\.tar\.gz/theforceengine-$1.tar.gz/\
" \
https://github.com/luciusDXL/TheForceEngine/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
